## kcalutils 25.12.1+p24.04+vunstable+git20260130.0803

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.27)

set(PIM_VERSION "6.6.40")
project(KCalUtils VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.21.0")
set(QT_REQUIRED_VERSION "6.9.0")
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${KCalUtils_SOURCE_DIR}/cmake
    ${ECM_MODULE_PATH}
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
    if(PRE_COMMIT_EXECUTABLE)
        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
        execute_process(
            COMMAND
                "${PRE_COMMIT_EXECUTABLE}" install -f
            ERROR_QUIET
            RESULT_VARIABLE _precommitresult
            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
        )
        if(_precommitresult EQUAL 0)
            message(STATUS "Pre-commit installed.")
        else()
            message(
                WARNING
                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
            )
            include(KDEGitCommitHooks)
            include(KDEClangFormat)
            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
        endif()
    else()
        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
        include(KDEGitCommitHooks)
        include(KDEClangFormat)
        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
    endif()
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(KPIMGrantleeMacros)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMGenerateQDoc)

set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
set(IDENTITYMANAGER_LIB_VERSION "6.6.40")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"
                        SOVERSION 6
)

########### Find packages ###########
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextTemplate CONFIG REQUIRED)

find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGER_LIB_VERSION} CONFIG REQUIRED)
add_definitions(-DTRANSLATION_DOMAIN=\"libkcalutils6\")

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()
if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
endif()

option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
if(WARNINGS_AS_ERRORS)
    if(MSVC)
        # FIXME Disabled because of inconsistent dll linkage warnings
        # add_compile_options(/WX)
        # add_compile_options(/wd4996)
    else()
        add_compile_options(-Werror)
        add_compile_options(-Wno-error=deprecated-declarations)
    endif()
endif()

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6CalendarUtils")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimCalendarUtilsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6CalendarUtilsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6CalendarUtilsTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KCalUtils/
    COMPONENT Devel
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(grantlee_plugin)

add_library(KPim6CalendarUtils)
add_library(KPim6::CalendarUtils ALIAS KPim6CalendarUtils)

configure_file(config-kcalutils.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kcalutils.h)

target_sources(
    KPim6CalendarUtils
    PRIVATE
        icaldrag.cpp
        incidenceformatter.cpp
        recurrenceactions.cpp
        stringify.cpp
        vcaldrag.cpp
        dndfactory.cpp
        grantleeki18nlocalizer.cpp
        grantleetemplatemanager.cpp
        qtresourcetemplateloader.cpp
        templates.qrc
        vcaldrag.h
        kcalutils_private_export.h
        stringify.h
        icaldrag.h
        grantleetemplatemanager_p.h
        grantleeki18nlocalizer_p.h
        qtresourcetemplateloader.h
        incidenceformatter.h
        dndfactory.h
        recurrenceactions.h
)
ecm_qt_declare_logging_category(KPim6CalendarUtils HEADER kcalutils_debug.h IDENTIFIER KCALUTILS_LOG CATEGORY_NAME org.kde.pim.kcalutils
        OLD_CATEGORY_NAMES log_kcalutils
        DESCRIPTION "kcalutils (pim lib)" EXPORT KCALUTILS
)

ki18n_wrap_ui(KPim6CalendarUtils recurrenceactionsscopewidget.ui)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6CalendarUtils
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6CalendarUtils
    BASE_NAME kcalutils
    VERSION ${KCALUTILS_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_include_directories(
    KPim6CalendarUtils
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KCalUtils;${KDE_INSTALL_INCLUDEDIR}/KPim6/KCalUtils/kcalutils>"
)
target_include_directories(
    KPim6CalendarUtils
    PUBLIC
        "$<BUILD_INTERFACE:${KCalUtils_SOURCE_DIR}/src;${KCalUtils_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6CalendarUtils
    PUBLIC
        Qt::Widgets
        KF6::CalendarCore
        KF6::CoreAddons
    PRIVATE
        KF6::WidgetsAddons
        KF6::IconThemes
        KF6::I18n
        KPim6::IdentityManagementCore
        KF6::Codecs
        KF6::TextTemplate
)

set_target_properties(
    KPim6CalendarUtils
    PROPERTIES
        VERSION
            ${KCALUTILS_VERSION}
        SOVERSION
            ${KCALUTILS_SOVERSION}
        EXPORT_NAME
            CalendarUtils
)

install(TARGETS KPim6CalendarUtils EXPORT KPim6CalendarUtilsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
ecm_generate_headers(KCalUtils_CamelCase_HEADERS
  HEADER_NAMES
  DndFactory
  ICalDrag
  IncidenceFormatter
  RecurrenceActions
  Stringify
  VCalDrag
  PREFIX KCalUtils
  REQUIRED_HEADERS KCalUtils_HEADERS
)

########### install files ###############

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kcalutils_export.h
        ${KCalUtils_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KCalUtils/kcalutils
    COMPONENT Devel
)

install(
    FILES
        ${KCalUtils_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KCalUtils/KCalUtils/
    COMPONENT Devel
)
ecm_qt_install_logging_categories(EXPORT KCALUTILS FILE kcalutils.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
ecm_generate_qdoc(KPim6CalendarUtils kcalutils.qdocconf)

=== debian/changelog ===
kcalutils (4:25.12.1+p24.04+vunstable+git20260130.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:03:22 +0000

## kcalutils 25.12.1+p24.04+vunstable+git20260203.2323

=== debian/changelog ===
kcalutils (4:25.12.1+p24.04+vunstable+git20260203.2323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 23:23:02 +0000

## kcalutils 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
-cmake_minimum_required(VERSION 3.27)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.2")
 project(KCalUtils VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.21.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
@@ -41,33 +41,9 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
-    if(PRE_COMMIT_EXECUTABLE)
-        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
-        execute_process(
-            COMMAND
-                "${PRE_COMMIT_EXECUTABLE}" install -f
-            ERROR_QUIET
-            RESULT_VARIABLE _precommitresult
-            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
-        )
-        if(_precommitresult EQUAL 0)
-            message(STATUS "Pre-commit installed.")
-        else()
-            message(
-                WARNING
-                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
-            )
-            include(KDEGitCommitHooks)
-            include(KDEClangFormat)
-            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-        endif()
-    else()
-        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
-        include(KDEGitCommitHooks)
-        include(KDEClangFormat)
-        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-    endif()
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 endif()
 
 include(ECMQtDeclareLoggingCategory)
@@ -85,10 +61,17 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-include(ECMGenerateQDoc)
+include(ECMAddQch)
+
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(
+    QCH
+    ${BUILD_QCH}
+    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
+)
 
 set(CALENDARUTILS_LIB_VERSION ${PIM_VERSION})
-set(IDENTITYMANAGER_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGER_LIB_VERSION "6.6.2")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALUTILS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kcalutils_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfigVersion.cmake"
@@ -109,7 +92,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkcalutils6\")
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)
@@ -121,24 +104,6 @@
     set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
     add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
 endif()
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
-
-option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
-if(WARNINGS_AS_ERRORS)
-    if(MSVC)
-        # FIXME Disabled because of inconsistent dll linkage warnings
-        # add_compile_options(/WX)
-        # add_compile_options(/wd4996)
-    else()
-        add_compile_options(-Werror)
-        add_compile_options(-Wno-error=deprecated-declarations)
-    endif()
-endif()
-
 add_subdirectory(src)
 
 if(BUILD_TESTING)
@@ -147,6 +112,16 @@
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6CalendarUtils")
+if(BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KPim6CalendarUtils_QCH
+        FILE KPim6CalendarUtilsQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6CalendarUtilsQchTargets.cmake\")")
+endif()
+
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KPimCalendarUtilsConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarUtilsConfig.cmake"

=== debian/changelog ===
kcalutils (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:39:32 +0000

kcalutils (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:00:47 +0000

=== debian/control ===
Source: kcalutils
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.12.2~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kcalutils
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalutils
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalutils
Rules-Requires-Root: no

Package: libkcalendarutils-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: kcalutils - data files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the data files.

Package: libkcalendarutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.6.0~),
         libkf6codecs-dev (>= 6.6.0~),
         libkf6coreaddons-dev (>= 6.6.0~),
         libkpim6calendarutils6 (= ${binary:Version}),
         ${misc:Depends},
Description: kcalutils - development files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the development files.

Package: libkpim6calendarutils6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkcalendarutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
